<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"
                     debug="true">
 <!-- A time/date based rolling appender -->
 <appender name="FILE" class="org.apache.log4j.DailyRollingFileAppender">
  <param name="File" value="./server.log"/>
  <param name="Append" value="false"/>
  <!-- Rollover at midnight each day -->
  <param name="DatePattern" value="'.'yyyy-MM-dd"/>
  <!-- Rollover at the top of each hour
      <param name="DatePattern" value="'.'yyyy-MM-dd-HH"/>
      -->
  <layout class="org.apache.log4j.PatternLayout">
   <!-- The default pattern: Date Priority [Category] Message\n -->
   <param name="ConversionPattern" value="%d %-5p [%c] %m%n"/>
   <!-- The full pattern: Date MS Priority [Category] (Thread:NDC) Message\n
         <param name="ConversionPattern" value="%d %-5r %-5p [%c] (%t:%x) %m%n"/>
          -->
  </layout>
 </appender>
 <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
  <param name="Target" value="System.out"/>
  <param name="Threshold" value="DEBUG"/>
  <layout class="org.apache.log4j.PatternLayout">
   <!-- The default pattern: Date Priority [Category] Message\n -->
   <param name="ConversionPattern" value="%d{ABSOLUTE} %-5p [%c{1}] %m%n"/>
  </layout>
 </appender>
 <category name="com.arsivist">
  <priority value="DEBUG"/>
 </category>
 <category name="org.apache">
  <priority value="DEBUG"/>
 </category>
 <category name="com.weblogic">
  <priority value="DEBUG"/>
 </category>
 <category name="com.roketsan">
  <priority value="DEBUG"/>
 </category>
 <category name="org.hibernate">
  <priority value="DEBUG"/>
 </category>
 <category name="log4j.category.org.hibernate">
  <priority value="DEBUG"/>
 </category>
 <category name="log4j.category.org.hibernate.SQL">
  <priority value="STDOUT"/>
 </category>
 <root>
  <appender-ref ref="CONSOLE"/>
  <appender-ref ref="FILE"/>
 </root>
</log4j:configuration>